//////////////////////////////////////////////////////////////////////////////
//
//  Xilinx, Inc. 2002                 www.xilinx.com
//
//  XAPP 268 - Automatic Phase Alignment
//
//////////////////////////////////////////////////////////////////////////////
//
//  File name :       tb_top_full_range.v
//
//  Description :     Test bench for Automatic phase controller, working over
//                    full range of DCM (-255 to +255)
//
//  Date - revision : 1st December 2002 - v 2.0
//
//  Author :          NJS
//
//  Contact : e-mail  hotline@xilinx.com
//            phone   + 1 800 255 7778
//
//  Disclaimer: LIMITED WARRANTY AND DISCLAMER. These designs are
//              provided to you "as is". Xilinx and its licensors make, and you
//              receive no warranties or conditions, express, implied,
//              statutory or otherwise, and Xilinx specifically disclaims any
//              implied warranties of merchantability, non-infringement, or
//              fitness for a particular purpose. Xilinx does not warrant that
//              the functions contained in these designs will meet your
//              requirements, or that the operation of these designs will be
//              uninterrupted or error free, or that defects in the Designs
//              will be corrected. Furthermore, Xilinx does not warrant or
//              make any representations regarding use or the results of the
//              use of the designs in terms of correctness, accuracy,
//              reliability, or otherwise.
//
//              LIMITATION OF LIABILITY. In no event will Xilinx or its
//              licensors be liable for any loss of data, lost profits, cost
//              or procurement of substitute goods or services, or for any
//              special, incidental, consequential, or indirect damages
//              arising from the use or operation of the designs or
//              accompanying documentation, however caused and on any theory
//              of liability. This limitation will apply even if Xilinx
//              has been advised of the possibility of such damage. This
//              limitation shall apply not-withstanding the failure of the
//              essential purpose of any limited remedies herein.
//
//  Copyright  2002 Xilinx, Inc.
//  All rights reserved
//
//////////////////////////////////////////////////////////////////////////////
//
`timescale 1 ps / 1ps

module tb_top_full_range ;

reg  		clk ;
reg 		rst ;
wire 	[39:0] 	bcdout ;
wire 	[8:0] 	binout ;

initial clk = 0 ;

always #(1250) clk = ~clk ; // 200 MHz clock for data transmission

top_full_range chip (
	.rxclkin(clk),
	.rst(rst),
	.binout(binout),
	.bcdout(bcdout)) ;

initial
begin
rst = 1'b1 ;

#10000
rst = 1'b0 ;

//$stop ;
end
endmodule