------------------------------------------------------------------------------
--
--  Xilinx, Inc. 2002                 www.xilinx.com
--
--  XAPP 268 - Automatic Phase Alignment
--
------------------------------------------------------------------------------
--
--  File name :       tb_top_half_range.vhd
--
--  Description :     Test bench for Automatic phase controller, working over
--                    half range of DCM (0 to +255)
--
--  Date - revision : 1st December 2002 - v 2.0
--
--  Author :          NJS
--
--  Contact : e-mail  hotline@xilinx.com
--            phone   + 1 800 255 7778
--
--  Disclaimer: LIMITED WARRANTY AND DISCLAMER. These designs are
--              provided to you "as is". Xilinx and its licensors make, and you
--              receive no warranties or conditions, express, implied,
--              statutory or otherwise, and Xilinx specifically disclaims any
--              implied warranties of merchantability, non-infringement, or
--              fitness for a particular purpose. Xilinx does not warrant that
--              the functions contained in these designs will meet your
--              requirements, or that the operation of these designs will be
--              uninterrupted or error free, or that defects in the Designs
--              will be corrected. Furthermore, Xilinx does not warrant or
--              make any representations regarding use or the results of the
--              use of the designs in terms of correctness, accuracy,
--              reliability, or otherwise.
--
--              LIMITATION OF LIABILITY. In no event will Xilinx or its
--              licensors be liable for any loss of data, lost profits, cost
--              or procurement of substitute goods or services, or for any
--              special, incidental, consequential, or indirect damages
--              arising from the use or operation of the designs or
--              accompanying documentation, however caused and on any theory
--              of liability. This limitation will apply even if Xilinx
--              has been advised of the possibility of such damage. This
--              limitation shall apply not-withstanding the failure of the
--              essential purpose of any limited remedies herein.
--
--  Copyright  2002 Xilinx, Inc.
--  All rights reserved
--
------------------------------------------------------------------------------
--
library ieee;
USE ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all ;

ENTITY tb_top_half_range IS END tb_top_half_range;

ARCHITECTURE rtl OF tb_top_half_range IS

component top_half_range port (
	rxclkin		: in std_logic;				-- clock to be monitored
	rst		: in std_logic;				-- reset
	binout		: out std_logic_vector(8 downto 0);	-- binary output value
	bcdout		: out std_logic_vector(39 downto 0));	-- BCD output value
END component;

signal rxclk, clk, notrst 	: std_logic := '0' ;
signal rst, notclk 		: std_logic := '1' ;
signal psclk, psdone, psen 	: std_logic := '0' ;


BEGIN

clk <= not clk after 1.25 ns ; -- input clock
rst <= '0' after 10 nS;

chip : top_half_range port map (
	rxclkin		=> clk,
	rst		=> rst,
	binout		=> open,
	bcdout		=> open) ;
END rtl;